# Welcome

<div style="display: flex">
    <img style="max-width: 100px; max-height: 100px; margin-right: 1em; align-items: center" src="images/flask-openipa.png">
    <p>Flask OpenIPA is a flask extension that can be used to generate OpenAPI specifications from your existing flask code. It provides extension (or you can create yours) to automatically generate OpenAPI models from python objects.</p>
</div>

